<%- include ("layouts/header") %>

	<div class="container">
		<div class="row my-5">
			<div class="col-md-12">
				<h1>Edit video</h1>
				
				<p class="py-3"><%= typeof msg != "undefined" ? msg: ""  %></p>

				<form action="/api/v1/video/edit" enctype="multipart/form-data" method="POST">
					<input type="hidden" name="videoId" value="<%= video._id %>">
					<div class="form-group">
						<label>Select Thumbnail</label>
						<img src="<%= baseUrl + video.thumbnail %>" style="width: 150px; height: 150px;margin-bottom: 1rem;" class="form-control">
						<input type="file" name="thumbnail" class="form-control-file">
					</div>
					<div class="form-group">
						<label>Title</label>
						<input type="text" name="title" class="form-control" value="<%= video.title %>">
					</div>
					<div class="form-group">
						<label>Description</label>
						<textarea name="description" class="form-control" rows="10"><%= video.description %></textarea>
					</div>
					<div class="form-group">
						<label>Tags</label>
						<input type="text" name="tags" class="form-control" value="<%= video.tags %>">
					</div>
					<div class="form-group">
						<label>Category</label>
						<select class="form-control" name="category">
							<%
							let options = ["Technology", "Gaming", "Education", "Funny"]
							for(let i = 0; i < options.length; i++) {
								let selected = (video.category == options[i]) ? "selected" : "";
							%>	

							<option value="<%= options[i]%>" <%= selected %>><%= options[i] %></option>

							<%
							}
							%>
						</select>
					</div>

					<div class="form-group">
						<label>Playlists</label>
						<select class="form-control" name="playlists">
							<option value="">Select Playlist</option>
							<% user.playlists.forEach (function (playlist) {
							let selected = (video.playlist == playlist._id) ? "selected" : "";
							%>
							<option value="<%= playlist._id %>" <%= selected %>><%= playlist.playlistTitle %></option>
							<% }) %>
						</select>
					</div>
					
					<input type="submit" class="btn btn-warning" value="Update Video">
				</form>
			</div>
		</div>
	</div>

<%- include ("layouts/footer") %>